"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const email = (str) => {
    const reg = /^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/;
    return reg.test(str);
};
const maskText = (str, start = 3, end = 4) => {
    if (!str)
        return;
    const _str = str.replace(/\s/g, '');
    const total = _str.length;
    const len = total - start - end;
    let star = '';
    for (let i = 0; i < len; i++) {
        star += '*';
    }
    return (`${_str.substr(0, start)}${star}${_str.substr(total - end)}`);
};
const space = (num) => {
    return (num || 0).toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,');
};
exports.default = {
    email,
    maskText,
    space
};
